import 'localizations.dart';

/// The translations for English (`en`).
class SpreedLocalizationsEn extends SpreedLocalizations {
  SpreedLocalizationsEn([String locale = 'en']) : super(locale);

  @override
  String get roomCreate => 'Create room';

  @override
  String get roomCreateUserName => 'User name';

  @override
  String get roomCreateGroupName => 'Group name';

  @override
  String get roomCreateRoomName => 'Room name';

  @override
  String get roomTypeOneToOne => 'Private';

  @override
  String get roomTypeGroup => 'Group';

  @override
  String get roomTypePublic => 'Public';

  @override
  String get messageYou => 'You';

  @override
  String get callStart => 'Start call';

  @override
  String get callJoin => 'Join call';

  @override
  String get callLeave => 'Leave call';

  @override
  String get screenSharingSelectScreen => 'Select screen';

  @override
  String get screenSharingSelectScreenScreens => 'Screens';

  @override
  String get screenSharingSelectScreenWindows => 'Windows';
}
