import 'package:flutter/widgets.dart';
import 'package:go_router/go_router.dart';
import 'package:neon/utils.dart';
import 'package:neon_spreed/neon_spreed.dart';

part 'routes.g.dart';

@TypedGoRoute<SpreedAppRoute>(
  path: '$appsBaseRoutePrefix${SpreedApp.appId}',
  name: SpreedApp.appId,
)
@immutable
class SpreedAppRoute extends NeonBaseAppRoute {
  const SpreedAppRoute();

  @override
  Widget build(final BuildContext context, final GoRouterState state) => const SpreedMainPage();
}
